%define origname libxml

Summary: Namespace aware SAX-Parser utility library
Name: pentaho-libxml
Version: 1.1.3
Release: 3%{?dist}
License: LGPLv2
URL: http://reporting.pentaho.org/
Source0: https://sourceforge.net/projects/jfreereport/files/02.%20Libraries/%{version}-stable/%{origname}-%{version}.zip

Patch0: libxml-1.1.2-build.patch
Patch1: libxml-1.1.2-java11.patch
Patch2: libxml-1.1.3-remove-commons-logging.patch
Patch3: libxml-1.1.3-remove-antcontrib-support.patch

BuildRequires: ant, java-devel, jpackage-utils, libbase, libloader

Requires: java-headless, jpackage-utils, libbase >= 1.1.2, libloader >= 1.1.2

BuildArch: noarch
ExclusiveArch:  %{java_arches} noarch

%description
Pentaho LibXML is a namespace aware SAX-Parser utility library. It eases the
pain of implementing non-trivial SAX input handlers.

%package javadoc
Summary: Javadoc for %{name}
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%autosetup -p1 -c
find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase libloader
cd lib

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{origname}-%{version}.jar %{buildroot}%{_javadir}/%{origname}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{origname}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{origname}

%files
%license licence-LGPL.txt
%doc README.txt ChangeLog.txt
%{_javadir}/%{origname}.jar

%files javadoc
%{_javadocdir}/%{origname}

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.3-1
- initial build
